from practicum import McuBoard

class Car(McuBoard):
	def __init__(self):
		McuBoard.__init__(self)
		self.turn = 0
		self.run = 0
	def noturn(self):
		if self.turn == 1:
			self.usb_write(3,index=2,value=1)
			self.turn = 0
		if self.turn == -1:
			self.usb_write(2,index=2,value=1)
			self.turn = 0
	def left(self):
		if self.turn == 1:
			self.usb_write(3,index=2,value=1)
			self.turn = 0
		if self.turn == 0:
			self.usb_write(2,index=2,value=1)
		self.turn = -1
	def right(self):
		if self.turn == -1:
			self.usb_write(2,index=2,value=1)
			self.turn = 0
		if self.turn == 0:
			self.usb_write(3,index=2,value=1)
		self.turn = 1
	def forward(self):
		if self.run == -1:
			self.usb_write(1,index=2,value=1)
			self.run = 0
		if self.run != 1:
			self.usb_write(0,index=2,value=1)
			self.run = 1
	def backward(self):
		if self.run == 1:
			self.usb_write(0,index=2,value=1)
			self.run = 0
		if self.run != -1:
			self.usb_write(1,index=2,value=1)
			self.run = -1
	def stop(self):
		if self.run == 1:
			self.usb_write(0,index=2,value=1)
		if self.run == -1:
			self.usb_write(1,index=2,value=1)
		self.run = 0
